com.microfocus.awm.meta.interfaces

## Interface RApplicationAction

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RApplicationActionImpl

      public interface RApplicationAction
      extends AWMObject

  The relationship "Application Options have Application Actions" can be used to assign actions to an AWM application which are executed on the application level. Action descriptors referenced using this relationship appear either in the context menu of the application entry or are executed automatically on specific conditions.

  The following features are supported:

  - `Target ID`
  - `Action Enabled Condition`
  - `Action Visible Condition`
  - `Default Action`
  - `Execution Type`
  - `Label`
  - `Separator After`
  - `Seq No`
  - `Skip Model Update Check`
  See Also:
    `TaurusPackage.getRApplicationAction()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RSelectionEnabledCondition` | `getActionEnabledCondition()` Returns the value of the 'Action Enabled Condition' containment reference.
    `RSelectionVisibleCondition` | `getActionVisibleCondition()` Returns the value of the 'Action Visible Condition' containment reference.
    `EApplicationActionExecutionType` | `getExecutionType()` Returns the value of the 'Execution Type' attribute.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced ActionDescriptor (`TargetID`).
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `ActionDescriptor` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `boolean` | `isDefaultAction()` Returns the value of the 'Default Action' attribute.
    `boolean` | `isSeparatorAfter()` Returns the value of the 'Separator After' attribute.
    `boolean` | `isSetDefaultAction()` Returns whether the value of the '`Default Action`' attribute is set.
    `boolean` | `isSetExecutionType()` Returns whether the value of the '`Execution Type`' attribute is set.
    `boolean` | `isSetSeparatorAfter()` Returns whether the value of the '`Separator After`' attribute is set.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `boolean` | `isSetSkipModelUpdateCheck()` Returns whether the value of the '`Skip Model Update Check`' attribute is set.
    `boolean` | `isSkipModelUpdateCheck()` Returns the value of the 'Skip Model Update Check' attribute.
    `void` | `setActionEnabledCondition(RSelectionEnabledCondition value)` Sets the value of the '`Action Enabled Condition`' containment reference.
    `void` | `setActionVisibleCondition(RSelectionVisibleCondition value)` Sets the value of the '`Action Visible Condition`' containment reference.
    `void` | `setDefaultAction(boolean value)` Sets the value of the '`Default Action`' attribute.
    `void` | `setExecutionType(EApplicationActionExecutionType value)` Sets the value of the '`Execution Type`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setSeparatorAfter(boolean value)` Sets the value of the '`Separator After`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setSkipModelUpdateCheck(boolean value)` Sets the value of the '`Skip Model Update Check`' attribute.
    `void` | `setTargetID(ActionDescriptor value)` Sets the value of the '`Target ID`' reference.
    `void` | `unsetDefaultAction()` Unsets the value of the '`Default Action`' attribute.
    `void` | `unsetExecutionType()` Unsets the value of the '`Execution Type`' attribute.
    `void` | `unsetSeparatorAfter()` Unsets the value of the '`Separator After`' attribute.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.
    `void` | `unsetSkipModelUpdateCheck()` Unsets the value of the '`Skip Model Update Check`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetID

          ActionDescriptor getTargetID()

      Returns the value of the 'Target ID' reference. The reference to the action descriptor.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(ActionDescriptor)`, `TaurusPackage.getRApplicationAction_TargetID()`

    - #### setTargetID

          void setTargetID(ActionDescriptor value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### getActionEnabledCondition

          RSelectionEnabledCondition getActionEnabledCondition()

      Returns the value of the 'Action Enabled Condition' containment reference. By this complex attribute it is possible to define rules under which the action is activated. Non-activated actions are disabled, and can't be executed by the user.
      Returns:
        the value of the 'Action Enabled Condition' containment reference.
      See Also:
        `setActionEnabledCondition(RSelectionEnabledCondition)`, `TaurusPackage.getRApplicationAction_ActionEnabledCondition()`

    - #### setActionEnabledCondition

          void setActionEnabledCondition(RSelectionEnabledCondition value)

      Sets the value of the '`Action Enabled Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Action Enabled Condition' containment reference.
      See Also:
        `getActionEnabledCondition()`

    - #### getActionVisibleCondition

          RSelectionVisibleCondition getActionVisibleCondition()

      Returns the value of the 'Action Visible Condition' containment reference. By this complex attribute it is possible to define rules under which the action is visibled.
      Returns:
        the value of the 'Action Visible Condition' containment reference.
      See Also:
        `setActionVisibleCondition(RSelectionVisibleCondition)`, `TaurusPackage.getRApplicationAction_ActionVisibleCondition()`

    - #### setActionVisibleCondition

          void setActionVisibleCondition(RSelectionVisibleCondition value)

      Sets the value of the '`Action Visible Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Action Visible Condition' containment reference.
      See Also:
        `getActionVisibleCondition()`

    - #### isDefaultAction

          boolean isDefaultAction()

      Returns the value of the 'Default Action' attribute.
      Defines whether this action should be carried out by a double-click on the application entry. Only one application action can be declared as the Default_Action.
      Returns:
        the value of the 'Default Action' attribute.
      See Also:
        `isSetDefaultAction()`, `unsetDefaultAction()`, `setDefaultAction(boolean)`, `TaurusPackage.getRApplicationAction_DefaultAction()`

    - #### setDefaultAction

          void setDefaultAction(boolean value)

      Sets the value of the '`Default Action`' attribute.
      Parameters:
        `value` - the new value of the 'Default Action' attribute.
      See Also:
        `isSetDefaultAction()`, `unsetDefaultAction()`, `isDefaultAction()`

    - #### unsetDefaultAction

          void unsetDefaultAction()

      Unsets the value of the '`Default Action`' attribute.
      See Also:
        `isSetDefaultAction()`, `isDefaultAction()`, `setDefaultAction(boolean)`

    - #### isSetDefaultAction

          boolean isSetDefaultAction()

      Returns whether the value of the '`Default Action`' attribute is set.
      Returns:
        whether the value of the 'Default Action' attribute is set.
      See Also:
        `unsetDefaultAction()`, `isDefaultAction()`, `setDefaultAction(boolean)`

    - #### getExecutionType

          EApplicationActionExecutionType getExecutionType()

      Returns the value of the 'Execution Type' attribute. The literals are from the enumeration `EApplicationActionExecutionType`.
      Determines when to execute the action.

      Allowed values are:

      - Manual
      - OnLoad
      - OnUnload
      - OnFirstLoad
      Returns:
        the value of the 'Execution Type' attribute.
      See Also:
        `EApplicationActionExecutionType`, `isSetExecutionType()`, `unsetExecutionType()`, `setExecutionType(EApplicationActionExecutionType)`, `TaurusPackage.getRApplicationAction_ExecutionType()`

    - #### setExecutionType

          void setExecutionType(EApplicationActionExecutionType value)

      Sets the value of the '`Execution Type`' attribute.
      Parameters:
        `value` - the new value of the 'Execution Type' attribute.
      See Also:
        `EApplicationActionExecutionType`, `isSetExecutionType()`, `unsetExecutionType()`, `getExecutionType()`

    - #### unsetExecutionType

          void unsetExecutionType()

      Unsets the value of the '`Execution Type`' attribute.
      See Also:
        `isSetExecutionType()`, `getExecutionType()`, `setExecutionType(EApplicationActionExecutionType)`

    - #### isSetExecutionType

          boolean isSetExecutionType()

      Returns whether the value of the '`Execution Type`' attribute is set.
      Returns:
        whether the value of the 'Execution Type' attribute is set.
      See Also:
        `unsetExecutionType()`, `getExecutionType()`, `setExecutionType(EApplicationActionExecutionType)`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      Labeling of the action in the context menu. If no label is specified, the label of the referenced action descriptor will be used.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getRApplicationAction_Label()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or, if the Label wasn't set, the Label of the referenced ActionDescriptor (`TargetID`). If the ActionDescriptors Label wasn't set, too, its ID will be returned.

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### isSeparatorAfter

          boolean isSeparatorAfter()

      Returns the value of the 'Separator After' attribute.
      Determines whether to insert a separation line behind the context menu entry.
      Returns:
        the value of the 'Separator After' attribute.
      See Also:
        `isSetSeparatorAfter()`, `unsetSeparatorAfter()`, `setSeparatorAfter(boolean)`, `TaurusPackage.getRApplicationAction_SeparatorAfter()`

    - #### setSeparatorAfter

          void setSeparatorAfter(boolean value)

      Sets the value of the '`Separator After`' attribute.
      Parameters:
        `value` - the new value of the 'Separator After' attribute.
      See Also:
        `isSetSeparatorAfter()`, `unsetSeparatorAfter()`, `isSeparatorAfter()`

    - #### unsetSeparatorAfter

          void unsetSeparatorAfter()

      Unsets the value of the '`Separator After`' attribute.
      See Also:
        `isSetSeparatorAfter()`, `isSeparatorAfter()`, `setSeparatorAfter(boolean)`

    - #### isSetSeparatorAfter

          boolean isSetSeparatorAfter()

      Returns whether the value of the '`Separator After`' attribute is set.
      Returns:
        whether the value of the 'Separator After' attribute is set.
      See Also:
        `unsetSeparatorAfter()`, `isSeparatorAfter()`, `setSeparatorAfter(boolean)`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      The position number of the action in the context menu of an element.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRApplicationAction_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSkipModelUpdateCheck

          boolean isSkipModelUpdateCheck()

      Returns the value of the 'Skip Model Update Check' attribute. The default value is `"true"`.
      Determines whether the a model update check should be executed if the action is executed. This is only relevant for actions which are executed when loading the model.
      Returns:
        the value of the 'Skip Model Update Check' attribute.
      See Also:
        `isSetSkipModelUpdateCheck()`, `unsetSkipModelUpdateCheck()`, `setSkipModelUpdateCheck(boolean)`, `TaurusPackage.getRApplicationAction_SkipModelUpdateCheck()`

    - #### setSkipModelUpdateCheck

          void setSkipModelUpdateCheck(boolean value)

      Sets the value of the '`Skip Model Update Check`' attribute.
      Parameters:
        `value` - the new value of the 'Skip Model Update Check' attribute.
      See Also:
        `isSetSkipModelUpdateCheck()`, `unsetSkipModelUpdateCheck()`, `isSkipModelUpdateCheck()`

    - #### unsetSkipModelUpdateCheck

          void unsetSkipModelUpdateCheck()

      Unsets the value of the '`Skip Model Update Check`' attribute.
      See Also:
        `isSetSkipModelUpdateCheck()`, `isSkipModelUpdateCheck()`, `setSkipModelUpdateCheck(boolean)`

    - #### isSetSkipModelUpdateCheck

          boolean isSetSkipModelUpdateCheck()

      Returns whether the value of the '`Skip Model Update Check`' attribute is set.
      Returns:
        whether the value of the 'Skip Model Update Check' attribute is set.
      See Also:
        `unsetSkipModelUpdateCheck()`, `isSkipModelUpdateCheck()`, `setSkipModelUpdateCheck(boolean)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.